Bug 151465 - gnucash gives error on launching and terminates
gnucash gives error on launching and terminates
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnucash (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-18 02:01 EST by Grosswiler Roger
Modified: 2014-03-16 22:52 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-12 23:32:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Grosswiler Roger 2005-03-18 02:01:13 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; de-DE; rv:1.7.6) Gecko/20050226 Firefox/1.0.1

Description of problem:
Launching gnucash in gui stops gnucash without any message - even not in log. Launching gnucash in shell shows the following:

[root@neo roger]# gnucash
> ERROR: In procedure open-file:
> ERROR: No such file or directory: "/usr/share/umb-scheme/slib/printf"

and stops gnucash too. 

Version-Release number of selected component (if applicable):
gnucash-1.8.11-2

How reproducible:
Always

Steps to Reproduce:
1. Launch gnucash in GUI
2. Launch gnucash in shell

  

Actual Results:  on step 1:
silently termination

on step 2:
> ERROR: In procedure open-file:
> ERROR: No such file or directory: "/usr/share/umb-scheme/slib/printf"

Expected Results:  gnucash should launch.

Additional info:
Comment 1 David Sklar 2005-03-30 13:21:21 EST
As a temporary fix, the following symlink allows gnucash to run:

ln -s /usr/share/umb-scheme /usr/share/umb-scheme/slib
Comment 2 Michael Rommel 2005-03-30 13:40:09 EST
While trying this I discovered, that umb-scheme had not been installed.
Installing package umb-scheme allowed gnucash to run. Fix should be to add a
dependency on umb-scheme to the gnucash package.

So far the output of rpm -qi gnucash is:

[root@condor condor]# rm -f /var/lib/rpm/__db.00* ; rpm -qi --requires gnucash
Name        : gnucash                      Relocations: (not relocatable)
Version     : 1.8.11                            Vendor: Red Hat, Inc.
Release     : 2                             Build Date: Tue Mar  8 01:09:09 2005
Install Date: Tue Mar 29 15:39:18 2005      Build Host: porky.build.redhat.com
Group       : Applications/Productivity     Source RPM: gnucash-1.8.11-2.src.rpm
Size        : 35975629                         License: GPL/GFDL
Signature   : DSA/SHA1, Wed Mar  9 02:12:33 2005, Key ID da84cbd430c9ecf8
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
Summary     : GnuCash is an application to keep track of your finances.
Description :
GnuCash is a personal finance manager. A check-book like register GUI
allows you to enter and track bank accounts, stocks, income and even
currency trades. The interface is designed to be simple and easy to
use, but is backed with double-entry accounting principles to ensure
balanced books.
/bin/sh
/bin/sh
/bin/sh
/sbin/ldconfig
/usr/bin/perl
config(gnucash) = 1.8.11-2
libICE.so.6
libIIOP.so.0
libORBit.so.0
libORBitCosNaming.so.0
libORBitutil.so.0
libSM.so.6
libX11.so.6
libXext.so.6
libXi.so.6
libaqbanking.so.0
libart_lgpl.so.2
libasound.so.2
libaudiofile.so.0
libc.so.6
libc.so.6(GLIBC_2.0)  
libc.so.6(GLIBC_2.1)  
libc.so.6(GLIBC_2.1.3)
libc.so.6(GLIBC_2.2)  
libc.so.6(GLIBC_2.3)  
libc.so.6(GLIBC_2.3.4)
libcore-utils.so.0
libcrypt.so.1
libdb-4.1.so
libdl.so.2
libesd.so.0
libfreetype.so.6
libgal.so.23
libgconf-1.so.1
libgconf-gtk-1.so.1   
libgdk-1.2.so.0
libgdk_imlib.so.1
libgdk_pixbuf.so.2
libghttp.so.1
libglade-gnome.so.0   
libglade.so.0
libglib-1.2.so.0
libgmodule-1.2.so.0   
libgnc-app-file-gnome.so.0
libgncmod-business-gnome.so.0
libgncmod-business-utils.so.0
libgncmod-calculation.so.0
libgncmod-dialog-tax-table.so.0
libgncmod-engine.so.0
libgncmod-generic-import.so.0
libgncmod-gnome-search.so.0
libgncmod-gnome-utils.so.0
libgncmod-ledger-core.so.0
libgncmod-network-utils.so.0
libgncmod-register-core.so.0
libgncmod-register-gnome.so.0
libgncmod-report-gnome.so.0
libgncmod-report-system.so.0
libgncmodule.so.0
libgnome.so.32
libgnomecanvaspixbuf.so.1
libgnomeprint.so.15
libgnomesupport.so.0
libgnomeui.so.32
libgtk-1.2.so.0
libgtkhtml-1.1.so.3
libguile-ltdl.so.1
libguile.so.12
libguppi.so.16
libguppitank.so.16
libgw-engine.so.0
libgw-kvp.so.0
libgwrap-glib.so.1
libgwrap-wct.so.1
libltdl.so.3
libm.so.6
libm.so.6(GLIBC_2.0)
liboaf.so.0
libofx.so.1
libpopt.so.0
libpthread.so.0
libpthread.so.0(GLIBC_2.0)
libqthreads.so.12
libstdc++.so.6
libutil.so.1
libxml.so.1
libz.so.1
libzvt.so.2
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(VersionedDependencies) <= 3.0.3-1
scrollkeeper >= 0.3.4 
Comment 3 Thomas J. Baker 2005-04-12 16:16:01 EDT
With FC4T2+updates, this is still a problem. Installing umb-scheme fixes it.
Comment 4 Bill Nottingham 2005-04-12 23:32:50 EDT
Whoops, fixed. Will be in -2.
Comment 5 Bill Nottingham 2005-04-12 23:33:33 EDT
Erm, -3.

Note You need to log in before you can comment on or make changes to this bug.